perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Heintze <sieg_hein...@yahoo.com>
Subject Re: Problems installing mod_perl2 on Apache2 on Win200
Date Mon, 03 Mar 2003 16:24:50 GMT
Apache HTTPD seems to be running fine.

Do I have the right version of apache and mod_perl?
I'm unpacking mod_perl2.tar. "perl mpinstall" does not
seem to be giving me any errors.

Apache installed itself in the directory program
files/apache group/apache2 so I think this means I'm
running apache2.

What should I do next? Maybe I should build mod_perl
myself. Which compiler do you recommend for building
mod_perl on NT4 or Windows 2000?

               Siegfried

--- Randy Kobes <randy@theoryx5.uwinnipeg.ca> wrote:
> On Sun, 2 Mar 2003, Richard Heintze wrote:
> 
> > I have followed the instructions at
> >
>
http://perl.apache.org/docs/1.0/os/win32/install.html
> > 
> > I've put the following in my httpd.conf file:
> > LoadFile "c:/Perl/bin/perl58.dll"
> > LoadModule mod_perl modules/mod_perl.so
> > PerlRequire "C:/Apache2/conf/extra.pl"
> 
> Hi,
>    Does Apache run OK without mod_perl?
> 
>    Did you intend to have "extra.pl" under
> C:/Apache2/conf/, when the rest of the stuff is
> under C:/Program Files/Apache Group/Apache2/?
> It's no problem if you do ...
> 
> > I have expanded mod_perl-2.tar and extracted
> > mod_perl.so into modules\mod_perl.so.
> 
> And also did the 'ppm install mod_perl' to install
> the Perl side?
>  
> > I have c:perl\bin in my path. And still I get the
> > error below.
> >  Can someone help me?
> >       Sieg
> > 
> > C:\>"C:\Program Files\Apache
> > Group\Apache2\bin\Apache.exe" -w -f "C:\Program
> Fil
> > es\Apache Group\Apache2\conf\httpd.conf" -d
> > "C:\Program Files\Apache Group\Apach
> > e2\."
> > Syntax error on line 135 of C:/Program
> Files/Apache
> > Group/Apache2/conf/httpd.con
> > f:
> > Cannot load C:/Program Files/Apache
> > Group/Apache2/modules/mod_perl.so into serve
> > r: The specified module could not be found.
> > Note the errors or messages above, and press the
> <ESC>
> > key to exit.  0....
> > C:\>
> 
> Assuming you're using a recent mod_perl 2 ppm
> package,
> is your Apache version at least 2.0.43? Prior
> versions
> may not be compatible with this mod_perl, which was 
> compiled against 2.0.44.
> 
> Other than that, if at all possible, an idea might
> be
> to install Apache into a directory that doesn't
> contain
> spaces (eg, C:\Apache2). Or if that's not possible,
> try
> using DOS short path names for the directories in
> httpd.conf.
> 
> -- 
> best regards,
> randy kobes
> 


__________________________________________________
Do you Yahoo!?
Yahoo! Tax Center - forms, calculators, tips, more
http://taxes.yahoo.com/

Mime
View raw message